libtk-img (1:1.4.2+dfsg-1) unstable; urgency=low

  * Removed libtiff/mkg3states from the original tarball because it is a
    binary without source.
  * Multiarchified the package. Bumped debhelper compatibility version to 9.
  * Forbid loading the Img package into Tcl/Tk older than 8.5.
  * Fixed debian/watch uscan control file.
  * Bumped standards version to 3.9.5.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 12 Jul 2014 10:43:50 +0400

libtk-img (1:1.4.2-4) unstable; urgency=low

  * Added a new hack which allows the libtk-img package to link against
    the system-wide libtiff library (closes: #732147).

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 15 Dec 2013 21:09:10 +0400

libtk-img (1:1.4.2-3) unstable; urgency=low

  * Fixed build on 32-bit architectures.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 15 Dec 2013 15:27:41 +0400

libtk-img (1:1.4.2-2) unstable; urgency=low

  * Added a new hack which lets the libtk-img package use the system-wide
    libpng library.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 15 Dec 2013 10:04:53 +0400

libtk-img (1:1.4.2-1) unstable; urgency=low

  * New upstream release.
  * Refreshed patches, removed obsolete ones.
  * Use internal copy of the libtiff library because libtk-img doesn't work
    with the newer version which is currently in unstable (closes: #732023).
  * Use internal copy of the libpng library because upstream switched to 1.4
    while Debian have only 1.2 yet.
  * Don't install doc-base file because libtk-img doesn't come with HTML docs
    now.
  * Switched to 3.0 (quilt) source format and bumped debhelper compatibility
    level to 8.
  * Bumped standards version to 3.9.4.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 14 Dec 2013 09:56:27 +0400

libtk-img (1:1.3-release-12) unstable; urgency=low

  * Enabled hardened build flags through dpkg-buildflags (closes: #657209).
  * Switched to libpng-dev from libpng12-dev in build dependencies (closes:
    #662413).
  * Documented the new pngsuite license in debian/copyright (closes: #615808).
  * Bumped standards version to 3.9.3.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 24 May 2012 22:31:27 +0400

libtk-img (1:1.3-release-11) unstable; urgency=low

  * Fixed building with libjpeg8.
  * Bumped standards version to 3.9.2.
  * Added build-indep and build-arch targets into debian/rules.
  * Overridden lintian false positive on embedded tiff library.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 19 Dec 2011 18:38:35 +0400

libtk-img (1:1.3-release-10) experimental; urgency=low

  * Upload to experimental to test compatibility with Tcl/Tk 8.5.
  * Bumped standards version to 3.9.0.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 22 Jul 2010 22:29:22 +0400

libtk-img (1:1.3-release-9) unstable; urgency=low

  * Changed libjpeg62-dev to libjpeg-dev in build dependencies.
  * Added ${misc:Depends} variable to the binary packages dependencies because
    they are built using debhelper.
  * Added README.source with a description on how to patch the pristine
    sources with Debian patches.
  * Overridden lintian warning on an ancient autotools helper files in
    libtiff subdirectory because they aren't used when building the binary
    package.
  * Bumped standards version to 3.8.4.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 14 Feb 2010 12:59:54 +0300

libtk-img (1:1.3-release-8) unstable; urgency=high

  * Applied patch by Nico Golde (previously created for Tk 8.4) which fixes
    security vulnerability CVE-2007-5137 arbitrary code execution via
    multi-frame interlaced GIF.
  * Applied patch by Nico Golde (previously created for Tk 8.4) which fixes
    security vulnerability CVE-2007-5378 overflow triggered by crafted
    GIF file (closes: #519072).
  * Set urgency to high as this upload fixes security vulnerabilities.
  * Mangled Debian version and use SF redirector in debian/watch uscan control
    file.
  * Overridden lintian warning on an ancient libtool version in libjpeg
    subdirectory because it isn't used when building the binary package.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 14 Mar 2009 08:42:09 +0300

libtk-img (1:1.3-release-7) unstable; urgency=high

  * Fixed CVE-2008-0553 vulnerability (Stack-based buffer overflow in the
    ReadImage function in tkImgGIF.c allows remote attackers to execute
    arbitrary code via a crafted GIF image, a similar issue to CVE-2006-4484.)
    Thanks Nico Golde for the patch. Closes: #485785.
  * Set urgency to high as this upload fixes a security vulnerability.
  * Protected quilt invocation in debian/rules to make it possible to convert
    bwidget source package to 3.0 (quilt) format (closes: #482710).
  * Bumped standards version to 3.8.0.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 15 Jun 2008 19:47:36 +0400

libtk-img (1:1.3-release-6) unstable; urgency=low

  * Removed tkv script from /usr/bin since it is not more than an example and
    isn't suitable for use as an image viewer. This allows to remove bashism
    echo -e from debian/rules (closes: #478608).
  * Moved all manpages and examples to a separate package libtk-img-doc to
    make the main package more lightweight.
  * Changed libtk-img section to libs and libtk-img-dev package section to
    libdevel as more appropriate.
  * Added a copyright notice to debian/copyright.
  * Fixed section in doc-base.
  * Use more recent ChangeLog file.
  * Bumped standards version to 3.7.3.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 01 May 2008 01:34:53 +0400

libtk-img (1:1.3-release-5) unstable; urgency=low

  * Adapted the package to Debian Tcl/Tk policy. This includes moving the Tcl
    modules into a subdirectory of /usr/lib/tcltk and switching to default
    tk package in dependencies.
  * Added Homepage field in debian/control.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 18 Nov 2007 19:47:26 +0300

libtk-img (1:1.3-release-4) unstable; urgency=low

  * Fixed build on hurd-i386, kfreebsd-i386 and kfreebsd-amd64 architectures.
  * Rewritten clean target in debian/rules to ignore only missing Makefile
    error.
  * Made clean-patched target in debian/rules depend on patch-stamp.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 11 Sep 2007 18:26:54 +0400

libtk-img (1:1.3-release-3) unstable; urgency=low

  * New maintainer's email address sgolovan@debian.org.
  * Split the binary package into libtk-img and libtk-img-dev packages, moving
    development libraries and C-headers to a separate development package.
  * Added versioned build-dependency on zlib1g-dev.
  * Removed useless description of BMP image format from the binary package.
  * Removed tkv manpage from TODO.Debian because it is already written.
  * Added explicit --host and --build parameters to configure script call. 

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 04 Aug 2007 21:50:58 +0400

libtk-img (1:1.3-release-2) unstable; urgency=low

  * Fixed package directory in jpegtclConfig.sh, tifftclConfig.sh,
    zlibtclConfig.sh, pngtclConfig.sh and tkimgConfig.sh scripts.

 -- Sergei Golovan <sgolovan@nes.ru>  Tue, 22 May 2007 21:29:47 +0400

libtk-img (1:1.3-release-1) unstable; urgency=low

  * New maintainer Sergei Golovan (closes: #383652).
  * New upstream release (it's labeled 1.3, so added -release suffix to the
    upstream version).
  * Install manual pages.
  * Install HTML docs to /usr/share/doc/libtk-img/html
  * Added debian/compat file instead of defining variable DH_COMPAT in
    debian/rules.
  * Added colons to bug closing statements in debian/changelog.
  * Link libjpegtcl, libpngtcl, libzlibtcl dynamically to libjpeg,
    libpng and zlib respectively instead of building own static libraries.
  * Updated libtiff to SVN version to make it possible to link libtifftcl
    to current libtiff4 dynamically.
  * Overridden lintian error message about outdated autotools helper files
    because they aren't used for building the package.
  * Do not install install.tcl (it isn't related to bug #221149).
  * Fixed demo.tcl and tkv.tcl scripts to run by wish8.4 and not wish8.3
    because libtk-img is built using tk8.4.
  * Remove command, which is supposed to run test, from demo.tcl because
    they aren't available.
  * Added debian/watch uscan file.
  * Fixed homepage in debian/copyright and added it to debian/control.

 -- Sergei Golovan <sgolovan@nes.ru>  Sun, 13 May 2007 15:30:20 +0400

libtk-img (1:1.3-15) unstable; urgency=low

  * QA upload.
  * debian/doc-base: Change section to Apps/Programming.  Thanks to
    Justin B Rye.  Closes: #311816.
  * debian/override: Lintian no longer outputs `no-shlibs-control-file';
    remove.

 -- Matej Vela <vela@debian.org>  Mon,  4 Sep 2006 13:59:17 +0200

libtk-img (1:1.3-14) unstable; urgency=low

  * QA Upload (Ack NMU; Closes: #359289, #355593)
  * Set Maintainer to QA Group; Orphaned: #383652
  * Bump COMPAT to 4; Depend on at least dh 4.0.0
  * Install tools/install.tcl with examples (Closes: 221149)
  * Conforms with Latest Standards Version 3.7.2

 -- Michael Ablassmeier <abi@debian.org>  Sat,  2 Sep 2006 11:31:28 +0200

libtk-img (1:1.3-13.1) unstable; urgency=high

  * Non-maintainer upload.
  * Fix syntax error in tcl.m4 (Closes: #355593).

 -- Luk Claes <luk@debian.org>  Mon, 27 Mar 2006 19:09:11 +0200

libtk-img (1:1.3-13) unstable; urgency=low

  * Fixed mistake and now really fix the bug below.

 -- David N. Welton <davidw@debian.org>  Mon, 14 Mar 2005 17:11:23 +0100

libtk-img (1:1.3-12) unstable; urgency=low

  * Bug fix: "libtk-img: segfaults when using with Tcl/Tk 8.3", thanks to
    Sergei Golovan (Closes: #299444).

 -- David N. Welton <davidw@debian.org>  Mon, 14 Mar 2005 16:31:33 +0100

libtk-img (1:1.3-11) unstable; urgency=high

  * Recompiled against libtiff4.

 -- David N. Welton <davidw@debian.org>  Sun,  8 Aug 2004 19:18:29 +0200

libtk-img (1:1.3-10) unstable; urgency=low

  * Remove config droppings from source file.

  * Compile against latest libpng.

 -- David N. Welton <davidw@debian.org>  Sat, 26 Jul 2003 13:53:41 +0200

libtk-img (1.3rc2-9) unstable; urgency=low

  * Specify version.  Recompile with Debian diff.
  *  (closes: #186756)
  *  (closes: #186759)

 -- David N. Welton <davidw@debian.org>  Sun, 30 Mar 2003 01:02:08 -0800

libtk-img (1.3-8) unstable; urgency=low

  * A few more changes for lintian goodness.

 -- David N. Welton <davidw@debian.org>  Wed, 26 Mar 2003 15:53:57 -0800

libtk-img (1.3-7) unstable; urgency=low

  * New upstream version.

 -- David N. Welton <davidw@debian.org>  Wed, 26 Mar 2003 03:01:52 -0800

libtk-img (1.3-6) unstable; urgency=low

  * Recompiled for latest Tcl/Tk.

 -- David N. Welton <davidw@debian.org>  Fri, 21 Mar 2003 11:52:52 -0800

libtk-img (1.3-5) unstable; urgency=low

  * Added patches from Andreas Kupries (upstream) to fix compile bugs.
    (closes: #177798) (closes: #179088) (closes: #177799)

 -- David N. Welton <davidw@debian.org>  Wed,  5 Feb 2003 13:35:39 -0800

libtk-img (1.3-4) unstable; urgency=low

  * Updates from upstream CVS (closes: #176390).

 -- David N. Welton <davidw@debian.org>  Tue, 14 Jan 2003 11:30:59 -0800

libtk-img (1.3-3) unstable; urgency=low

  * Something went wrong with the last upload.  Let's do a new
    one. (closes: #175423) (closes: #17425)

 -- David N. Welton <davidw@debian.org>  Sun,  5 Jan 2003 21:12:02 -0800

libtk-img (1.3-2) unstable; urgency=low

  * Make sure .so and .a files are cleaned up. (closes: #17425)

 -- David N. Welton <davidw@debian.org>  Wed,  1 Jan 2003 19:43:21 -0800

libtk-img (1.3-1) unstable; urgency=low

  * New upstream release
  * New maintainer.
  * Packaged up sources from CVS. (closes: #172363) (closes: #172420)

 -- David N. Welton <davidw@debian.org>  Thu, 19 Dec 2002 11:46:40 -0800

libtk-img (1.2.4-1) unstable; urgency=low

  * Initial Release (Closes: #100962).

 -- Mike Markley <mike@markley.org>  Tue, 12 Jun 2001 18:34:47 -0700


